<template>
    <div class="subscriptions-page">
        <ob-table
                :items="indicators"
                :columns="columns"
                :functional-panel="true"
                class="lk-subscriptions-table"
                :show-add-button="true"
                @add="onAdd"
                :is-functional-sort="false"
                :is-functional-group="false"
        >
            <template v-slot:active="{ data }">
                <obSwitcher
                        :value="data.item.active"
                />
            </template>
        </ob-table>
        <ob-modal
                ref="ob-modal-subscriptions-add"
                :size="'medium'"
                :title="'Новая подписка'"
                :is-show-close-button="true"
        >
            <add-popup
                    ref="ob-modal-subscriptions-add-popup"
            />
        </ob-modal>
    </div>
</template>

<script>
   //import ObCheckbox from 'common-components/src/obComponents/obCheckbox/index'
    import ObTable from 'common-components/src/obComponents/obTable';
    import obSwitcher from "common-components/src/obComponents/obSwitcher";
    import ObModal       from 'common-components/src/obComponents/obModal';
    import AddPopup      from './modal/add.vue';
    import {indicators} from "./mock";
    export default {
        name: "index",
        components: {
            ObTable,
            //ObCheckbox,
            obSwitcher,
            ObModal,
            AddPopup
        },
        data() {
            return {
                indicators: indicators,
            }
        },
        computed: {
            columns () {
                let columns = [
                    {
                        title: 'Откуда',
                        key: 'from'
                    },
                    {
                        title: 'Куда',
                        key: 'to'
                    },
                    {
                        title: 'услуга',
                        key: 'service'
                    },
                    {
                        title: 'e-mail',
                        key: 'email'
                    },
                    {
                        title: 'Телефон',
                        key: 'phone'
                    },
                    {
                        title: 'Активно',
                        key: 'active',
                        slotName: 'active'
                    },
                    {
                        title: 'Действует от',
                        key: 'activeFrom'
                    },
                    {
                        title: 'Действует до',
                        key: 'activeTo'
                    },

                ]
                return columns;
            }
        },
        methods: {
            onAdd () {
                this.$refs['ob-modal-subscriptions-add'].open();
                this.$refs['ob-modal-subscriptions-add-popup'] ? this.$refs['ob-modal-subscriptions-add-popup'].clear() : null;
            },
        }
    }
</script>

<style lang="scss" scoped>
    @import "~common-components/src/static/css/mixins";
    @import "~common-components/src/assets/style/ob-style";

    .subscriptions-page {
        position: relative;
        height: 100%;
        width: 100%;

        &::v-deep {
            .lk-subscriptions-table{
                width: 100%;
            }
            td {
                > div {
                    display: flex;
                    align-items: center;
                }
              &:nth-child(5){
                width: 160px;
              }
            }

            .field-datetime {
                @include font-mixin(14px, 20px, 400);

                .field-time {
                    color: $color-grey-span;
                }
            }

            .icon.clock {
                &::before {
                    color: $gray-window;
                }
            }
        }
    }
</style>
